> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Audit Attestation Keys

> Lists the public keys that sign audit manifests, for offline verification.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/edges/audit_attestation/keys
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/edges/audit_attestation/keys:
    get:
      tags:
        - Edge
      summary: List Audit Attestation Keys
      description: >-
        Lists the public keys that sign audit manifests, for offline
        verification.
      operationId: c1.api.edge.v1.EdgeService.ListAuditAttestationKeys
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.edge.v1.EdgeServiceListAuditAttestationKeysResponse
          description: Successful response
components:
  schemas:
    c1.api.edge.v1.EdgeServiceListAuditAttestationKeysResponse:
      description: The EdgeServiceListAuditAttestationKeysResponse message.
      properties:
        keys:
          description: The keys field.
          items:
            $ref: '#/components/schemas/c1.api.edge.v1.TBAuditAttestationKey'
          type:
            - array
            - 'null'
      title: Edge Service List Audit Attestation Keys Response
      type: object
      x-speakeasy-name-override: EdgeServiceListAuditAttestationKeysResponse
    c1.api.edge.v1.TBAuditAttestationKey:
      description: TBAuditAttestationKey is a trusted manifest signing key.
      properties:
        keyId:
          description: First 16 bytes of the SHA-256 of the raw public key, hex.
          type: string
        publicKey:
          description: Raw Ed25519 public key, 32 bytes, hex.
          type: string
        status:
          description: The status field.
          enum:
            - TB_AUDIT_ATTESTATION_KEY_STATUS_UNSPECIFIED
            - TB_AUDIT_ATTESTATION_KEY_STATUS_CURRENT
            - TB_AUDIT_ATTESTATION_KEY_STATUS_PREVIOUS
          type: string
          x-speakeasy-unknown-values: allow
      title: Tb Audit Attestation Key
      type: object
      x-speakeasy-name-override: TBAuditAttestationKey
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````